//
//  AsFingerManager.h
//  AsFingerSDK
//
//  Created by mac on 2020/6/15.
//  Copyright © 2020 Asterisk. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "AsFinger.h"

typedef enum AsFingerDeviceBLEStatus {
    AsFingerDeviceBLEStatus_PowerOff,
    AsFingerDeviceBLEStatus_PowerOn,
    AsFingerDeviceBLEStatus_Unsupported,
} AsFingerDeviceBLEStatus;

@protocol AsFingerManagerDelegate <NSObject>
- (void)whenReceivedAsFingerList:(NSArray *)asFingerList;
@end

@interface AsFingerManager : NSObject<CBCentralManagerDelegate,CBPeripheralDelegate>
@property(readonly) AsFingerDeviceBLEStatus deviceBLEStatus;
@property(readonly) BOOL isSearching;
@property(nonatomic, strong, readonly) CBCentralManager *centeralManager;
@property(nonatomic, weak) id<AsFingerManagerDelegate>delegate;

+ (AsFingerManager *)sharedAsFingerManager;
- (BOOL)startSearching;
- (void)stopSearching;

- (void)connectAsFinger:(AsFinger *)asFinger;
- (void)disconnectAsFinger:(AsFinger *)asFinger;
- (void)sendDataToAsFinger:(AsFinger *)asFinger data:(NSData *)data;
- (AsFinger *)getCurrentConnectedAsFinger;
@end


