//
//  BluetoothManager.h
//  AsCameraScan
//
// Created by Asterisk.Inc on 2018/4/27.
// Copyright © 2018年 Asterisk.Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <AsFingerSDK/AsFingerSDK.h>

@protocol BluetoothManagerDelegate <NSObject>
@optional
- (void)receivedBLEIsConnected:(BOOL)isConnected;
- (void)whenSearchedBLEList:(NSArray *)BLEList;
- (void)receivedBLEBattery:(int)battery;
- (void)receivedBLEFirmVersion:(NSString *)version;
- (void)whenUpdateDeviceBLEStatus:(AsFingerDeviceBLEStatus)status;
- (void)whenReceivedBarcodeData:(NSData *)barcodeData;
- (void)receivedData:(NSData *)data;

@end

@interface BluetoothManager : NSObject<AsFingerDelegate, AsFingerManagerDelegate, CBCentralManagerDelegate>
@property (copy,nonatomic) AsFinger * currentConnectedBLE;
@property (assign,nonatomic) int battery;
@property (nonatomic, weak) id <BluetoothManagerDelegate> delegate;
@property(assign,nonatomic) AsFingerDeviceBLEStatus deviceBLEStatus;

+ (BluetoothManager *)sharedBluetoothManager;
- (void)refresh;
- (void)connectBLEWithName:(NSString *)name;
- (void)disconnectBLEWithName:(NSString *)name;
- (void)startScan;
- (void)stopScan;
- (void)getBLEBattery;
- (void)getBLEFirmVersion;
- (void)sendData:(NSData *)data;
- (NSString *)getAsFingerSDKVersion;

@end
