//
//  SettingViewController.m
//  AsFinger
//
//  Created by mac on 2020/6/16.
//  Copyright © 2020 Asterisk. All rights reserved.
//

#import "SettingViewController.h"
#import "Until.h"
#import "BluetoothManager.h"

@interface SettingViewController ()<UITableViewDelegate, UITableViewDataSource>
@property (strong, nonatomic) IBOutlet UITableView *tableView;
@end

@implementation SettingViewController{
    NSArray *array;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    if (@available(iOS 15.0, *)) {
        self.tableView.sectionHeaderTopPadding = 0;
    }
    array = [NSArray arrayWithObjects:NSLocalizedStringFromTable(@"AsReader Finger Connection", @"InfoPlist",Nil), NSLocalizedStringFromTable(@"Information", @"InfoPlist",Nil), @"Debug", nil];
    UIView *footView = [[UIView alloc] initWithFrame:CGRectMake(0, 0, 0, 0)];
    self.tableView.tableFooterView = footView;
}
- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView{
    return 1;
}
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section{
    return array.count;
}
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    static NSString *identifier = @"tableViewCell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:identifier];
    if (cell == nil) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:identifier];
    }
    cell.textLabel.text = [array objectAtIndex:indexPath.row];
    cell.textLabel.font = [UIFont systemFontOfSize:15];
    return cell;
}
- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath{
    switch (indexPath.row) {
        case 0:
            [self performSegueWithIdentifier:@"ble" sender:nil];
            break;
        case 1:
            [self performSegueWithIdentifier:@"information" sender:nil];
            break;
        case 2:
            [self performSegueWithIdentifier:@"debug" sender:nil];
            break;
        default:
            break;
    }
}

@end
